﻿<?xml version="1.0" encoding="UTF-8"?>
<Form xmlns="http://v8.1c.ru/8.3/xcf/logform" xmlns:app="http://v8.1c.ru/8.2/managed-application/core" xmlns:cfg="http://v8.1c.ru/8.1/data/enterprise/current-config" xmlns:dcscor="http://v8.1c.ru/8.1/data-composition-system/core" xmlns:dcsset="http://v8.1c.ru/8.1/data-composition-system/settings" xmlns:ent="http://v8.1c.ru/8.1/data/enterprise" xmlns:lf="http://v8.1c.ru/8.2/managed-application/logform" xmlns:style="http://v8.1c.ru/8.1/data/ui/style" xmlns:sys="http://v8.1c.ru/8.1/data/ui/fonts/system" xmlns:v8="http://v8.1c.ru/8.1/data/core" xmlns:v8ui="http://v8.1c.ru/8.1/data/ui" xmlns:web="http://v8.1c.ru/8.1/data/ui/colors/web" xmlns:win="http://v8.1c.ru/8.1/data/ui/colors/windows" xmlns:xr="http://v8.1c.ru/8.3/xcf/readable" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="2.10">
	<AutoCommandBar name="ФормаКоманднаяПанель" id="-1">
		<ChildItems>
			<Button name="ФормаЗаписатьИЗакрыть" id="44">
				<Type>CommandBarButton</Type>
				<DefaultButton>true</DefaultButton>
				<CommandName>Form.Command.ЗаписатьИЗакрыть</CommandName>
				<ExtendedTooltip name="ФормаЗаписатьИЗакрытьРасширеннаяПодсказка" id="45"/>
			</Button>
			<Button name="ФормаЗакрыть" id="46">
				<Type>CommandBarButton</Type>
				<CommandName>Form.StandardCommand.Close</CommandName>
				<ExtendedTooltip name="ФормаЗакрытьРасширеннаяПодсказка" id="47"/>
			</Button>
		</ChildItems>
	</AutoCommandBar>
	<Events>
		<Event name="OnCreateAtServer">ПриСозданииНаСервере</Event>
	</Events>
	<ChildItems>
		<LabelDecoration name="ДекорацияКонфигурацияСовместимостьОтсутствует" id="48">
			<HorizontalStretch>true</HorizontalStretch>
			<TextColor>style:SpecialTextColor</TextColor>
			<Title formatted="false">
				<v8:item>
					<v8:lang>ru</v8:lang>
					<v8:content>Правки расширения "Исправления ЕРП 2.5" отключены в связи с отсутствие совместимости с текущей конфигурацией</v8:content>
				</v8:item>
			</Title>
			<ContextMenu name="ДекорацияКонфигурацияСовместимостьОтсутствуетКонтекстноеМеню" id="49"/>
			<ExtendedTooltip name="ДекорацияКонфигурацияСовместимостьОтсутствуетРасширеннаяПодсказка" id="50"/>
		</LabelDecoration>
		<UsualGroup name="ГруппаКонфигурация" id="51">
			<Title>
				<v8:item>
					<v8:lang>ru</v8:lang>
					<v8:content>Исправляемая конфигурация</v8:content>
				</v8:item>
			</Title>
			<ToolTip>
				<v8:item>
					<v8:lang>ru</v8:lang>
					<v8:content>Группа конфигурация</v8:content>
				</v8:item>
			</ToolTip>
			<Group>AlwaysHorizontal</Group>
			<ExtendedTooltip name="ГруппаКонфигурацияРасширеннаяПодсказка" id="52"/>
			<ChildItems>
				<InputField name="КонфигурацияИмя" id="53">
					<DataPath>КонфигурацияИмя</DataPath>
					<ReadOnly>true</ReadOnly>
					<ContextMenu name="КонфигурацияИмяКонтекстноеМеню" id="54"/>
					<ExtendedTooltip name="КонфигурацияИмяРасширеннаяПодсказка" id="55"/>
				</InputField>
				<InputField name="КонфигурацияВерсия" id="56">
					<DataPath>КонфигурацияВерсия</DataPath>
					<ReadOnly>true</ReadOnly>
					<ContextMenu name="КонфигурацияВерсияКонтекстноеМеню" id="57"/>
					<ExtendedTooltip name="КонфигурацияВерсияРасширеннаяПодсказка" id="58"/>
				</InputField>
			</ChildItems>
		</UsualGroup>
		<UsualGroup name="ГруппаПравки" id="28">
			<Title>
				<v8:item>
					<v8:lang>ru</v8:lang>
					<v8:content>Группа правки</v8:content>
				</v8:item>
			</Title>
			<ToolTip>
				<v8:item>
					<v8:lang>ru</v8:lang>
					<v8:content>Группа правки</v8:content>
				</v8:item>
			</ToolTip>
			<Group>AlwaysHorizontal</Group>
			<Representation>None</Representation>
			<ShowTitle>false</ShowTitle>
			<ExtendedTooltip name="ГруппаПравкиРасширеннаяПодсказка" id="29"/>
			<ChildItems>
				<Table name="ТаблицаПравки" id="1">
					<Representation>List</Representation>
					<CommandBarLocation>None</CommandBarLocation>
					<ChangeRowSet>false</ChangeRowSet>
					<ChangeRowOrder>false</ChangeRowOrder>
					<AutoInsertNewRow>true</AutoInsertNewRow>
					<EnableStartDrag>true</EnableStartDrag>
					<EnableDrag>true</EnableDrag>
					<DataPath>ТаблицаПравки</DataPath>
					<RowFilter xsi:nil="true"/>
					<ContextMenu name="ТаблицаПравкиКонтекстноеМеню" id="2"/>
					<AutoCommandBar name="ТаблицаПравкиКоманднаяПанель" id="3"/>
					<ExtendedTooltip name="ТаблицаПравкиРасширеннаяПодсказка" id="4"/>
					<SearchStringAddition name="ТаблицаПравкиСтрокаПоиска" id="5">
						<AdditionSource>
							<Item>ТаблицаПравки</Item>
							<Type>SearchStringRepresentation</Type>
						</AdditionSource>
						<ContextMenu name="ТаблицаПравкиСтрокаПоискаКонтекстноеМеню" id="6"/>
						<ExtendedTooltip name="ТаблицаПравкиСтрокаПоискаРасширеннаяПодсказка" id="7"/>
					</SearchStringAddition>
					<ViewStatusAddition name="ТаблицаПравкиСостояниеПросмотра" id="8">
						<AdditionSource>
							<Item>ТаблицаПравки</Item>
							<Type>ViewStatusRepresentation</Type>
						</AdditionSource>
						<ContextMenu name="ТаблицаПравкиСостояниеПросмотраКонтекстноеМеню" id="9"/>
						<ExtendedTooltip name="ТаблицаПравкиСостояниеПросмотраРасширеннаяПодсказка" id="10"/>
					</ViewStatusAddition>
					<SearchControlAddition name="ТаблицаПравкиУправлениеПоиском" id="11">
						<AdditionSource>
							<Item>ТаблицаПравки</Item>
							<Type>SearchControl</Type>
						</AdditionSource>
						<ContextMenu name="ТаблицаПравкиУправлениеПоискомКонтекстноеМеню" id="12"/>
						<ExtendedTooltip name="ТаблицаПравкиУправлениеПоискомРасширеннаяПодсказка" id="13"/>
					</SearchControlAddition>
					<Events>
						<Event name="OnActivateRow">ТаблицаПравкиПриАктивизацииСтроки</Event>
					</Events>
					<ChildItems>
						<CheckBoxField name="ТаблицаПравкиВключена" id="23">
							<DataPath>ТаблицаПравки.Включена</DataPath>
							<EditMode>EnterOnInput</EditMode>
							<CheckBoxType>Auto</CheckBoxType>
							<ContextMenu name="ТаблицаПравкиВключенаКонтекстноеМеню" id="24"/>
							<ExtendedTooltip name="ТаблицаПравкиВключенаРасширеннаяПодсказка" id="25"/>
						</CheckBoxField>
						<InputField name="ТаблицаПравкиИдентификатор" id="14">
							<DataPath>ТаблицаПравки.Идентификатор</DataPath>
							<ReadOnly>true</ReadOnly>
							<EditMode>EnterOnInput</EditMode>
							<ContextMenu name="ТаблицаПравкиИдентификаторКонтекстноеМеню" id="15"/>
							<ExtendedTooltip name="ТаблицаПравкиИдентификаторРасширеннаяПодсказка" id="16"/>
						</InputField>
						<InputField name="ТаблицаПравкиВид" id="33">
							<DataPath>ТаблицаПравки.Вид</DataPath>
							<ReadOnly>true</ReadOnly>
							<EditMode>EnterOnInput</EditMode>
							<ContextMenu name="ТаблицаПравкиВидКонтекстноеМеню" id="34"/>
							<ExtendedTooltip name="ТаблицаПравкиВидРасширеннаяПодсказка" id="35"/>
						</InputField>
						<InputField name="ТаблицаПравкиОбласть" id="36">
							<DataPath>ТаблицаПравки.Область</DataPath>
							<ReadOnly>true</ReadOnly>
							<EditMode>EnterOnInput</EditMode>
							<ContextMenu name="ТаблицаПравкиОбластьКонтекстноеМеню" id="37"/>
							<ExtendedTooltip name="ТаблицаПравкиОбластьРасширеннаяПодсказка" id="38"/>
						</InputField>
						<ColumnGroup name="ТаблицаПравкиГруппаВерсии" id="26">
							<Title>
								<v8:item>
									<v8:lang>ru</v8:lang>
									<v8:content>Версии</v8:content>
								</v8:item>
							</Title>
							<ToolTip>
								<v8:item>
									<v8:lang>ru</v8:lang>
									<v8:content>Таблица правки группа версии</v8:content>
								</v8:item>
							</ToolTip>
							<Group>Horizontal</Group>
							<ShowInHeader>true</ShowInHeader>
							<ExtendedTooltip name="ТаблицаПравкиГруппаВерсииРасширеннаяПодсказка" id="27"/>
							<ChildItems>
								<InputField name="ТаблицаПравкиВерсияМин" id="17">
									<DataPath>ТаблицаПравки.ВерсияМин</DataPath>
									<ReadOnly>true</ReadOnly>
									<EditMode>EnterOnInput</EditMode>
									<ContextMenu name="ТаблицаПравкиВерсияМинКонтекстноеМеню" id="18"/>
									<ExtendedTooltip name="ТаблицаПравкиВерсияМинРасширеннаяПодсказка" id="19"/>
								</InputField>
								<InputField name="ТаблицаПравкиВерсияМакс" id="20">
									<DataPath>ТаблицаПравки.ВерсияМакс</DataPath>
									<ReadOnly>true</ReadOnly>
									<EditMode>EnterOnInput</EditMode>
									<ContextMenu name="ТаблицаПравкиВерсияМаксКонтекстноеМеню" id="21"/>
									<ExtendedTooltip name="ТаблицаПравкиВерсияМаксРасширеннаяПодсказка" id="22"/>
								</InputField>
							</ChildItems>
						</ColumnGroup>
					</ChildItems>
				</Table>
				<UsualGroup name="ГруппаПравкаТексты" id="42">
					<Title>
						<v8:item>
							<v8:lang>ru</v8:lang>
							<v8:content>Группа правка тексты</v8:content>
						</v8:item>
					</Title>
					<ToolTip>
						<v8:item>
							<v8:lang>ru</v8:lang>
							<v8:content>Группа правка тексты</v8:content>
						</v8:item>
					</ToolTip>
					<Group>Vertical</Group>
					<Representation>None</Representation>
					<ShowTitle>false</ShowTitle>
					<ExtendedTooltip name="ГруппаПравкаТекстыРасширеннаяПодсказка" id="43"/>
					<ChildItems>
						<InputField name="ПравкаТекст" id="30">
							<DataPath>ПравкаТекст</DataPath>
							<ReadOnly>true</ReadOnly>
							<MultiLine>true</MultiLine>
							<ContextMenu name="ПравкаТекстКонтекстноеМеню" id="31"/>
							<ExtendedTooltip name="ПравкаТекстРасширеннаяПодсказка" id="32"/>
						</InputField>
						<InputField name="ПравкаМетоды" id="39">
							<DataPath>ПравкаМетоды</DataPath>
							<ReadOnly>true</ReadOnly>
							<MultiLine>true</MultiLine>
							<ContextMenu name="ПравкаМетодыКонтекстноеМеню" id="40"/>
							<ExtendedTooltip name="ПравкаМетодыРасширеннаяПодсказка" id="41"/>
						</InputField>
					</ChildItems>
				</UsualGroup>
			</ChildItems>
		</UsualGroup>
	</ChildItems>
	<Attributes>
		<Attribute name="Объект" id="1">
			<Type>
				<v8:Type>cfg:DataProcessorObject.исперп_Настройка</v8:Type>
			</Type>
			<MainAttribute>true</MainAttribute>
		</Attribute>
		<Attribute name="ТаблицаПравки" id="2">
			<Title>
				<v8:item>
					<v8:lang>ru</v8:lang>
					<v8:content>Правки</v8:content>
				</v8:item>
			</Title>
			<Type>
				<v8:Type>v8:ValueTable</v8:Type>
			</Type>
			<Columns>
				<Column name="Идентификатор" id="1">
					<Title>
						<v8:item>
							<v8:lang>ru</v8:lang>
							<v8:content>Идентификатор</v8:content>
						</v8:item>
					</Title>
					<Type>
						<v8:Type>xs:string</v8:Type>
						<v8:StringQualifiers>
							<v8:Length>0</v8:Length>
							<v8:AllowedLength>Variable</v8:AllowedLength>
						</v8:StringQualifiers>
					</Type>
				</Column>
				<Column name="ВерсияМин" id="2">
					<Title>
						<v8:item>
							<v8:lang>ru</v8:lang>
							<v8:content>Мин</v8:content>
						</v8:item>
					</Title>
					<Type>
						<v8:Type>xs:string</v8:Type>
						<v8:StringQualifiers>
							<v8:Length>0</v8:Length>
							<v8:AllowedLength>Variable</v8:AllowedLength>
						</v8:StringQualifiers>
					</Type>
				</Column>
				<Column name="ВерсияМакс" id="3">
					<Title>
						<v8:item>
							<v8:lang>ru</v8:lang>
							<v8:content>Макс</v8:content>
						</v8:item>
					</Title>
					<Type>
						<v8:Type>xs:string</v8:Type>
						<v8:StringQualifiers>
							<v8:Length>0</v8:Length>
							<v8:AllowedLength>Variable</v8:AllowedLength>
						</v8:StringQualifiers>
					</Type>
				</Column>
				<Column name="Включена" id="4">
					<Title>
						<v8:item>
							<v8:lang>ru</v8:lang>
							<v8:content>Включена</v8:content>
						</v8:item>
					</Title>
					<Type>
						<v8:Type>xs:boolean</v8:Type>
					</Type>
				</Column>
				<Column name="Текст" id="5">
					<Title>
						<v8:item>
							<v8:lang>ru</v8:lang>
							<v8:content>Текст</v8:content>
						</v8:item>
					</Title>
					<Type>
						<v8:Type>xs:string</v8:Type>
						<v8:StringQualifiers>
							<v8:Length>0</v8:Length>
							<v8:AllowedLength>Variable</v8:AllowedLength>
						</v8:StringQualifiers>
					</Type>
				</Column>
				<Column name="Вид" id="6">
					<Title>
						<v8:item>
							<v8:lang>ru</v8:lang>
							<v8:content>Вид</v8:content>
						</v8:item>
					</Title>
					<Type>
						<v8:Type>xs:string</v8:Type>
						<v8:StringQualifiers>
							<v8:Length>0</v8:Length>
							<v8:AllowedLength>Variable</v8:AllowedLength>
						</v8:StringQualifiers>
					</Type>
				</Column>
				<Column name="Методы" id="7">
					<Title>
						<v8:item>
							<v8:lang>ru</v8:lang>
							<v8:content>Методы</v8:content>
						</v8:item>
					</Title>
					<Type>
						<v8:Type>xs:string</v8:Type>
						<v8:StringQualifiers>
							<v8:Length>0</v8:Length>
							<v8:AllowedLength>Variable</v8:AllowedLength>
						</v8:StringQualifiers>
					</Type>
				</Column>
				<Column name="Область" id="8">
					<Title>
						<v8:item>
							<v8:lang>ru</v8:lang>
							<v8:content>Область</v8:content>
						</v8:item>
					</Title>
					<Type>
						<v8:Type>xs:string</v8:Type>
						<v8:StringQualifiers>
							<v8:Length>0</v8:Length>
							<v8:AllowedLength>Variable</v8:AllowedLength>
						</v8:StringQualifiers>
					</Type>
				</Column>
				<Column name="Доступна" id="9">
					<Title>
						<v8:item>
							<v8:lang>ru</v8:lang>
							<v8:content>Доступна</v8:content>
						</v8:item>
					</Title>
					<Type>
						<v8:Type>xs:boolean</v8:Type>
					</Type>
				</Column>
			</Columns>
		</Attribute>
		<Attribute name="ПравкаТекст" id="3">
			<Title>
				<v8:item>
					<v8:lang>ru</v8:lang>
					<v8:content>Описание</v8:content>
				</v8:item>
			</Title>
			<Type>
				<v8:Type>xs:string</v8:Type>
				<v8:StringQualifiers>
					<v8:Length>0</v8:Length>
					<v8:AllowedLength>Variable</v8:AllowedLength>
				</v8:StringQualifiers>
			</Type>
		</Attribute>
		<Attribute name="ПравкаМетоды" id="4">
			<Title>
				<v8:item>
					<v8:lang>ru</v8:lang>
					<v8:content>Методы</v8:content>
				</v8:item>
			</Title>
			<Type>
				<v8:Type>xs:string</v8:Type>
				<v8:StringQualifiers>
					<v8:Length>0</v8:Length>
					<v8:AllowedLength>Variable</v8:AllowedLength>
				</v8:StringQualifiers>
			</Type>
		</Attribute>
		<Attribute name="КонфигурацияВерсия" id="5">
			<Title>
				<v8:item>
					<v8:lang>ru</v8:lang>
					<v8:content>Версия</v8:content>
				</v8:item>
			</Title>
			<Type>
				<v8:Type>xs:string</v8:Type>
				<v8:StringQualifiers>
					<v8:Length>0</v8:Length>
					<v8:AllowedLength>Variable</v8:AllowedLength>
				</v8:StringQualifiers>
			</Type>
		</Attribute>
		<Attribute name="КонфигурацияИмя" id="6">
			<Title>
				<v8:item>
					<v8:lang>ru</v8:lang>
					<v8:content>Имя</v8:content>
				</v8:item>
			</Title>
			<Type>
				<v8:Type>xs:string</v8:Type>
				<v8:StringQualifiers>
					<v8:Length>0</v8:Length>
					<v8:AllowedLength>Variable</v8:AllowedLength>
				</v8:StringQualifiers>
			</Type>
		</Attribute>
		<ConditionalAppearance>
			<dcsset:item>
				<dcsset:selection>
					<dcsset:item>
						<dcsset:field>ТаблицаПравкиОбласть</dcsset:field>
					</dcsset:item>
				</dcsset:selection>
				<dcsset:filter>
					<dcsset:item xsi:type="dcsset:FilterItemComparison">
						<dcsset:left xsi:type="dcscor:Field">ТаблицаПравки.Доступна</dcsset:left>
						<dcsset:comparisonType>Equal</dcsset:comparisonType>
						<dcsset:right xsi:type="xs:boolean">false</dcsset:right>
					</dcsset:item>
				</dcsset:filter>
				<dcsset:appearance>
					<dcscor:item xsi:type="dcsset:SettingsParameterValue">
						<dcscor:parameter>Текст</dcscor:parameter>
						<dcscor:value xsi:type="v8:LocalStringType">
							<v8:item>
								<v8:lang>ru</v8:lang>
								<v8:content>Версия несовместима</v8:content>
							</v8:item>
						</dcscor:value>
					</dcscor:item>
				</dcsset:appearance>
			</dcsset:item>
			<dcsset:item>
				<dcsset:selection>
					<dcsset:item>
						<dcsset:field>ТаблицаПравки</dcsset:field>
					</dcsset:item>
				</dcsset:selection>
				<dcsset:filter>
					<dcsset:item xsi:type="dcsset:FilterItemComparison">
						<dcsset:left xsi:type="dcscor:Field">ТаблицаПравки.Доступна</dcsset:left>
						<dcsset:comparisonType>Equal</dcsset:comparisonType>
						<dcsset:right xsi:type="xs:boolean">false</dcsset:right>
					</dcsset:item>
				</dcsset:filter>
				<dcsset:appearance>
					<dcscor:item xsi:type="dcsset:SettingsParameterValue">
						<dcscor:parameter>ЦветТекста</dcscor:parameter>
						<dcscor:value xsi:type="v8ui:Color">style:BorderColor</dcscor:value>
					</dcscor:item>
					<dcscor:item xsi:type="dcsset:SettingsParameterValue">
						<dcscor:parameter>ТолькоПросмотр</dcscor:parameter>
						<dcscor:value xsi:type="xs:boolean">true</dcscor:value>
					</dcscor:item>
				</dcsset:appearance>
			</dcsset:item>
		</ConditionalAppearance>
	</Attributes>
	<Commands>
		<Command name="ЗаписатьИЗакрыть" id="1">
			<Title>
				<v8:item>
					<v8:lang>ru</v8:lang>
					<v8:content>Записать и закрыть</v8:content>
				</v8:item>
			</Title>
			<ToolTip>
				<v8:item>
					<v8:lang>ru</v8:lang>
					<v8:content>Записать и закрыть</v8:content>
				</v8:item>
			</ToolTip>
			<Action>ЗаписатьИЗакрыть</Action>
		</Command>
	</Commands>
</Form>